#include <bits/stdc++.h>
using namespace std;
long long a, b, c;

int main()
{
	cin >> a >> b >> c;
	string x = to_string(a), y = to_string(b), z = to_string(c);
	string vals[6] = {x+y+z, x+z+y, y+x+z, y+z+x, z+x+y, z+y+x};
	string res = vals[0];
	for(int i = 1; i < 6; ++i) if (strcmp(res.c_str(), vals[i].c_str())<0) res = vals[i]; //res<vals[i]
	cout << res << '\n';
}